# Uses of Interface
java.util.function.IntUnaryOperator

Packages that use IntUnaryOperator
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.concurrent.atomic
A small toolkit of classes that support lock-free thread-safe programming on single variables.
java.util.function
Functional interfaces provide target types for lambda expressions and method references.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.
jdk.incubator.vector
Incubating Feature. Will be removed in a future release.

## Uses of IntUnaryOperator in java.util

Methods in java.util with parameters of type IntUnaryOperator
Modifier and Type
Method
Description
`static void`
Arrays.`parallelSetAll(int[] array, IntUnaryOperator generator)`
Set all elements of the specified array, in parallel, using the provided generator function to compute each element.
`static void`
Arrays.`setAll(int[] array, IntUnaryOperator generator)`
Set all elements of the specified array, using the provided generator function to compute each element.

## Uses of IntUnaryOperator in java.util.concurrent.atomic

Methods in java.util.concurrent.atomic with parameters of type IntUnaryOperator
Modifier and Type
Method
Description
`final int`
AtomicInteger.`getAndUpdate(IntUnaryOperator updateFunction)`
Atomically updates (with memory effects as specified by `VarHandle.compareAndSet(java.lang.Object...)`) the current value with the results of applying the given function, returning the previous value.
`final int`
AtomicIntegerArray.`getAndUpdate(int i, IntUnaryOperator updateFunction)`
Atomically updates (with memory effects as specified by `VarHandle.compareAndSet(java.lang.Object...)`) the element at index `i` with the results of applying the given function, returning the previous value.
`final int`
AtomicIntegerFieldUpdater.`getAndUpdate(T obj, IntUnaryOperator updateFunction)`
Atomically updates (with memory effects as specified by `VarHandle.compareAndSet(java.lang.Object...)`) the field of the given object managed by this updater with the results of applying the given function, returning the previous value.
`final int`
AtomicInteger.`updateAndGet(IntUnaryOperator updateFunction)`
Atomically updates (with memory effects as specified by `VarHandle.compareAndSet(java.lang.Object...)`) the current value with the results of applying the given function, returning the updated value.
`final int`
AtomicIntegerArray.`updateAndGet(int i, IntUnaryOperator updateFunction)`
Atomically updates (with memory effects as specified by `VarHandle.compareAndSet(java.lang.Object...)`) the element at index `i` with the results of applying the given function, returning the updated value.
`final int`
AtomicIntegerFieldUpdater.`updateAndGet(T obj, IntUnaryOperator updateFunction)`
Atomically updates (with memory effects as specified by `VarHandle.compareAndSet(java.lang.Object...)`) the field of the given object managed by this updater with the results of applying the given function, returning the updated value.

## Uses of IntUnaryOperator in java.util.function

Methods in java.util.function that return IntUnaryOperator
Modifier and Type
Method
Description
`default IntUnaryOperator`
IntUnaryOperator.`andThen(IntUnaryOperator after)`
Returns a composed operator that first applies this operator to its input, and then applies the `after` operator to the result.
`default IntUnaryOperator`
IntUnaryOperator.`compose(IntUnaryOperator before)`
Returns a composed operator that first applies the `before` operator to its input, and then applies this operator to the result.
`static IntUnaryOperator`
IntUnaryOperator.`identity()`
Returns a unary operator that always returns its input argument.
Methods in java.util.function with parameters of type IntUnaryOperator
Modifier and Type
Method
Description
`default IntUnaryOperator`
IntUnaryOperator.`andThen(IntUnaryOperator after)`
Returns a composed operator that first applies this operator to its input, and then applies the `after` operator to the result.
`default IntUnaryOperator`
IntUnaryOperator.`compose(IntUnaryOperator before)`
Returns a composed operator that first applies the `before` operator to its input, and then applies this operator to the result.

## Uses of IntUnaryOperator in java.util.stream

Methods in java.util.stream with parameters of type IntUnaryOperator
Modifier and Type
Method
Description
`static IntStream`
IntStream.`iterate(int seed, IntPredicate hasNext, IntUnaryOperator next)`
Returns a sequential ordered `IntStream` produced by iterative application of the given `next` function to an initial element, conditioned on satisfying the given `hasNext` predicate.
`static IntStream`
IntStream.`iterate(int seed, IntUnaryOperator f)`
Returns an infinite sequential ordered `IntStream` produced by iterative application of a function `f` to an initial element `seed`, producing a `Stream` consisting of `seed`, `f(seed)`, `f(f(seed))`, etc.
`IntStream`
IntStream.`map(IntUnaryOperator mapper)`
Returns a stream consisting of the results of applying the given function to the elements of this stream.

## Uses of IntUnaryOperator in jdk.incubator.vector

Methods in jdk.incubator.vector with parameters of type IntUnaryOperator
Modifier and Type
Method
Description
`static <E> VectorShuffle<E>`
VectorShuffle.`fromOp(VectorSpecies<E> species, IntUnaryOperator fn)`
Creates a shuffle for a given species from the successive values of an operator applied to the range `[0..VLENGTH-1]`.
`VectorShuffle<E>`
VectorSpecies.`shuffleFromOp(IntUnaryOperator fn)`
Creates a shuffle for this species from the successive values of an operator applied to the range `[0..VLENGTH-1]`.